core.cpp File Reference
`#include <gecode/kernel.hh>`

Go to the source code of this file.

## Namespaces

namespace | Gecode
| Gecode toplevel namespace

## Macros

#define | GECODE_STATUS_TRACE(q, s)

## Macro Definition Documentation

## GECODE_STATUS_TRACE

#define GECODE_STATUS_TRACE | ( |  | q,
|  |  | s )

Value:
if ((tr != NULL) && (tr->events() & TE_PROPAGATE) && \
(tr->filter()(p->group()))) { \
PropagateTraceInfo pti(p->id(),p->group(),q, \
PropagateTraceInfo::s); \
tr->tracer()._propagate(*this,pti); \
}